Bug 196412 - msynctool crashing at the end of evo2 - file sync
msynctool crashing at the end of evo2 - file sync
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: multisync (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE6Target
  Show dependency treegraph
 
Reported: 2006-06-22 23:24 EDT by Russell Harrison
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-20 09:33:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Harrison 2006-06-22 23:24:56 EDT
I set up an evo to file sync as a test before trying evo to palm.

It seems to crash right at the point where it would start writing the vcards to
disk.

Fedora Core 5 Installed Packages libopensync.i386 0.18-6.fc5 installed
libopensync-devel.i386 0.18-6.fc5 installed libopensync-plugin-evolution2.i386
0.18-7.fc5 installed libopensync-plugin-file.i386 0.18-4.fc5 installed
libopensync-plugin-palm.i386 0.18-4.fc5 installed librsync.i386 0.9.7-4
installed multisync.i386 0.90.18-5.fc5 installed multisync-gui.i386
0.90.18-5.fc5 installed
Comment 1 Russell Harrison 2006-06-22 23:26:39 EDT
*** glibc detected *** msynctool: munmap_chunk(): invalid pointer: 0x00da0c1b ***
======= Backtrace: =========
/lib/libc.so.6(__libc_free+0x179)[0x2434f0]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0x1325a1]
/usr/lib/opensync/formats/xml-vcard.so[0xd99b9d]
/usr/lib/opensync/formats/xml-vcard.so[0xd9a7ac]
/usr/lib/opensync/formats/xml-vcard.so[0xd98c9d]
/usr/lib/libopensync.so.0(osync_converter_invoke+0xeb)[0x95cffb]
/usr/lib/libopensync.so.0(osync_conv_convert_fn+0x16a)[0x95dbea]
/usr/lib/libopensync.so.0(osync_change_convert_member_sink+0x5d)[0x95e40d]
/usr/lib/libopensync.so.0(osync_member_commit_change+0xcb)[0x958dbb]
/usr/lib/libosengine.so.0(client_message_handler+0x196)[0x9731e6]
/usr/lib/libosengine.so.0(_queue_dispatch+0x95)[0x972745]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x16d)[0x12b15d]
/usr/lib/libglib-2.0.so.0[0x12e3ef]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1a9)[0x12e799]
/usr/lib/libglib-2.0.so.0[0x1489ff]
/lib/libpthread.so.0[0xce940b]
/lib/libc.so.6(__clone+0x5e)[0x2a4b7e]
======= Memory map: ========
00106000-00197000 r-xp 00000000 fd:00 1835519    /usr/lib/libglib-2.0.so.0.1000.3
00197000-00198000 rwxp 00091000 fd:00 1835519    /usr/lib/libglib-2.0.so.0.1000.3
00198000-001b5000 r-xp 00000000 fd:00 2158596    /usr/lib/libedata-book-1.2.so.2.2.1
001b5000-001b8000 rwxp 0001d000 fd:00 2158596    /usr/lib/libedata-book-1.2.so.2.2.1
001b8000-001ba000 r-xp 00000000 fd:00 1379265    /lib/libcom_err.so.2.1
001ba000-001bb000 rwxp 00001000 fd:00 1379265    /lib/libcom_err.so.2.1
001bb000-001bc000 r-xp 00000000 fd:00 2886517    /usr/lib/opensync/formats/todo.so
001bc000-001bd000 rwxp 00001000 fd:00 2886517    /usr/lib/opensync/formats/todo.so
001be000-001bf000 r-xp 001be000 00:00 0          [vdso]
001bf000-001d8000 r-xp 00000000 fd:00 1376314    /lib/ld-2.4.so
001d8000-001d9000 r-xp 00018000 fd:00 1376314    /lib/ld-2.4.so
001d9000-001da000 rwxp 00019000 fd:00 1376314    /lib/ld-2.4.so
001da000-001db000 r-xp 00000000 fd:00 2886302    /usr/lib/opensync/formats/data.so
001db000-001dc000 rwxp 00000000 fd:00 2886302    /usr/lib/opensync/formats/data.so
001dc000-00309000 r-xp 00000000 fd:00 1379251    /lib/libc-2.4.so
00309000-0030b000 r-xp 0012d000 fd:00 1379251    /lib/libc-2.4.so
0030b000-0030c000 rwxp 0012f000 fd:00 1379251    /lib/libc-2.4.so
0030c000-0030f000 rwxp 0030c000 00:00 0
0030f000-00310000 r-xp 00000000 fd:00 2886516    /usr/lib/opensync/formats/note.so
00310000-00311000 rwxp 00000000 fd:00 2886516    /usr/lib/opensync/formats/note.so
00311000-00334000 r-xp 00000000 fd:00 1379252    /lib/libm-2.4.so
00334000-00335000 r-xp 00022000 fd:00 1379252    /lib/libm-2.4.so
00335000-00336000 rwxp 00023000 fd:00 1379252    /lib/libm-2.4.so
00338000-0033a000 r-xp 00000000 fd:00 1379255    /lib/libdl-2.4.so
0033a000-0033b000 r-xp 00001000 fd:00 1379255    /lib/libdl-2.4.so
0033b000-0033c000 rwxp 00002000 fd:00 1379255    /lib/libdl-2.4.so
0033e000-00350000 r-xp 00000000 fd:00 2158503    /usr/lib/libz.so.1.2.3
00350000-00351000 rwxp 00011000 fd:00 2158503    /usr/lib/libz.so.1.2.3
00351000-00375000 r-xp 00000000 fd:00 2158593    /usr/lib/libpisock.so.8.0.5
00375000-00379000 rwxp 00023000 fd:00 2158593    /usr/lib/libpisock.so.8.0.5
00379000-003b9000 r-xp 00000000 fd:00 2136611    /usr/lib/libncurses.so.5.5
003b9000-003c1000 rwxp 00040000 fd:00 2136611    /usr/lib/libncurses.so.5.5
003c1000-003c2000 rwxp 003c1000 00:00 0
003c2000-0041c000 r-xp 00000000 fd:00 2139982    /usr/lib/libbonobo-2.so.0.0.0
0041c000-00426000 rwxp 0005a000 fd:00 2139982    /usr/lib/libbonobo-2.so.0.0.0
00426000-00430000 r-xp 00000000 fd:00 2147550    /usr/lib/libesd.so.0.2.36
00430000-00431000 rwxp 00009000 fd:00 2147550    /usr/lib/libesd.so.0.2.36
00431000-00550000 r-xp 00000000 fd:00 1379266    /lib/libcrypto.so.0.9.8a
00550000-00563000 rwxp 0011e000 fd:00 1379266    /lib/libcrypto.so.0.9.8a
00563000-00566000 rwxp 00563000 00:00 0
00566000-00575000 r-xp 00000000 fd:00 1379264    /lib/libresolv-2.4.so
00575000-00576000 r-xp 0000e000 fd:00 1379264    /lib/libresolv-2.4Aborted
Comment 2 Russell Harrison 2006-06-22 23:28:06 EDT
Upstream issue:
http://www.opensync.org/ticket/219
Comment 3 Andreas Bierfert 2006-06-23 03:04:30 EDT
Hm seems I have to fix some bugs here ;) Thanks for reporting... I will see that
I can fix some of the open multisync bugs this weekend...
Comment 4 Russell Harrison 2006-06-23 11:11:32 EDT
Wonderful!  

Please let me know if you need me to test anything.  I know there are some weird
characters in my stuff, thanks to the company directory. :-/
Comment 5 Andreas Bierfert 2006-10-20 09:33:46 EDT
Fixed. Pushed new version. 

Note You need to log in before you can comment on or make changes to this bug.